shithub: duke3d

Download patch

ref: e637b027ee041e89aeed7c6b91c403188b141ea1
parent: 89de47b4eb86e2defa44fc129be08122c7bb3aab
author: Tanguy Fautre <tanguy@fautre.com>
date: Sat Feb 22 15:28:48 EST 2020

Adding tentative MacOS X build files (don't hit me, I don't have a Mac)

--- /dev/null
+++ b/.github/workflows/macosx.yml
@@ -1,0 +1,15 @@
+name: MacOS X CI
+
+on: [push, pull_request]
+
+jobs:
+  build:
+
+    runs-on: macos-latest
+    
+    steps:
+    - uses: actions/checkout@v2
+    - name: Compile vcpkg dependencies
+      run: ./vcpkg_macosx.sh
+    - name: Compile Duke3D
+      run: ./build_macosx.sh
--- /dev/null
+++ b/build_macosx.sh
@@ -1,0 +1,7 @@
+#!/bin/sh
+set -e
+
+mkdir --parents build/linux
+cd build/linux
+cmake -D VCPKG_TARGET_TRIPLET=x64-windows-static -D CMAKE_TOOLCHAIN_FILE=../vcpkg.windows.x64/scripts/buildsystems/vcpkg.cmake -D CMAKE_BUILD_TYPE=Release ../..
+make -j
--- /dev/null
+++ b/vcpkg_macosx.sh
@@ -1,0 +1,14 @@
+#!/bin/bash
+set -e
+
+mkdir -p build
+cd build
+git clone https://github.com/Microsoft/vcpkg.git vcpkg.macosx
+cd vcpkg.macosx
+git checkout 2020.01
+./bootstrap-vcpkg.sh
+
+./vcpkg install \
+	enet:x64-osx \
+	sdl2:x64-osx \
+	sdl2-mixer:x64-osx
\ No newline at end of file